//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// DataHelpers.SQL satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using System.Data;
using System.Data.SqlClient;
using u = user_rtx;

namespace DataHelpers.SQL {

partial class HDbQuery {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/// <exception cref="ObjectDisposedException" />
[u.async_local]
public static Task<List<RSet_Item>?> DoReaderCommandN_A<RSet_Item>( SqlCommand command )
where RSet_Item: new() =>
   NakedDoReaderCommand_A<RSet_Item>( command );

[u.async_local]
public static Task<List<RSet_Item>?> DoReaderCommandN_A<RSet_Item>( string commandText )
where RSet_Item: new() =>
   NakedDoReaderCommand_A<RSet_Item>( commandText );

[u.async_local]
public static Task<List<RSet_Item>?> DoReaderCommandN_A<RSet_Item>(
   string commandText, params SqlParameter[] sqlParams )
where RSet_Item: new() =>
   NakedDoReaderCommand_A<RSet_Item>( commandText, sqlParams );

//--------------------------------------------------------------------------------------------------

[u.async_local]
public static Task<List<RSet_Item>?> DoReaderCommandFmtN_A<RSet_Item>( string commandTextFmt,
                                                                       params object?[] args )
where RSet_Item: new() =>
   NakedDoReaderCommandFmt_A<RSet_Item>( commandTextFmt, args );

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HDbQuery

} // DataHelpers.SQL
